WinModeFu = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceDB-2.0", "FuBarPlugin-2.0");
local L = AceLibrary("AceLocale-2.2"):new("WinModeFu");
local Tablet = AceLibrary("Tablet-2.0");

L:RegisterTranslations("enUS", function() return {
	["tabletHint"] = "Click to switch between Windowed Mode and Full Screen.",
	["WindowedMode"] = "Windowed",
	["Fullscreen"] = "Fullscreen",
} end);

WinModeFu:RegisterDB("WinModeFuDB");
WinModeFu.hasIcon = "Interface\\Icons\\Spell_Arcane_TeleportThunderBluff"
WinModeFu.defaultPosition = "LEFT"

local optionsTable = {
	handler = WinModeFu,
	type = "group",
	args = {};
};

WinModeFu.OnMenuRequest = optionsTable;

function WinModeFu:OnTextUpdate()
	if (self:IsTextShown()) then
		if(GetCVar("gxWindow") == "1") then
			winMode=L["WindowedMode"];
		else
			winMode=L["Fullscreen"];
		end
		self:SetText(winMode);
	else
		self:HideText();
	end
end

function WinModeFu:OnTooltipUpdate()
	Tablet:SetHint(L["tabletHint"]);
end

function WinModeFu:OnClick()
	SetCVar("gxWindow", 1 - GetCVar("gxWindow"));
	RestartGx();
	self:OnTextUpdate()
end

